# The Google Cloud Developer's Cheat Sheet
Every product in the Google Cloud family described in <=4 words (with liberal use of hyphens and slashes :smirk:)\
by the Google Developer Relations Team\
<a target="_blank" href="Poster-medres.png"><img border="1" alt="Google Cloud Developer's Cheat Sheet Poster Image" src="Poster-lowres.png"></a>\
White background:
[Poster PDF](Poster.pdf)
|
[Brochure PDF](Brochure.pdf)
|
[High-resolution PNG](Poster-hires.png)
|
[Medium-res PNG](Poster-medres.png)
|
[Low-res PNG](Poster-lowres.png)\
Dark background:
[Poster PDF](DarkPoster.pdf)
|
[Brochure PDF](DarkBrochure.pdf)
|
[High-resolution PNG](DarkPoster-hires.png)
|
[Medium-res PNG](DarkPoster-medres.png)
|
[Low-res PNG](DarkPoster-lowres.png)

Desktop Wallpapers: [16:9 ratio (iMac)](Wallpaper-16-9.png) | [16:10 ratio (Macbook Pro)](Wallpaper-16-10.png) | [4:3 ratio (Thinkpad)](Wallpaper-4-3.png) | [3:2 ratio (Chromebook Pixel)](Wallpaper-3-2.png)

Text descriptions with links are below

Suggestions for better descriptions? Missing products? Pull requests are welcome on README.md (this file).

Feedback? <img width="40" valign="middle" src="https://storage.googleapis.com/gregsramblings-downloads/Twitter_Logo_Blue.png">[@gregsramblings](https://twitter.com/gregsramblings)

**Note:** This list only includes products that are publicly available. There are several products in pre-release/private-alpha that will not be included until they go public beta or GA.

Many of these products have a [free tier](https://cloud.google.com/free/). There is also a [free trial](https://console.cloud.google.com/freetrial) that will enable you try almost everything.

----------------------------
# All Products
<sup>:link:-Product page</sup>
<sup>:page_facing_up:-Documentation</sup>

### Compute

* **App Engine**: Managed app platform [<sup>:link:</sup>](https://cloud.google.com/appengine/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/appengine/docs/)
* **Cloud Functions**: Event-driven serverless functions [<sup>:link:</sup>](https://cloud.google.com/functions/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/functions/docs/)
* **Cloud Run :new:**: Serverless for containerized applications [<sup>:link:</sup>](https://cloud.google.com/run/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/run/docs/)
* **Compute Engine**: VMs, GPUs, TPUs, Disks [<sup>:link:</sup>](https://cloud.google.com/compute/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/compute/docs/)
* **Kubernetes Engine (GKE)**: Managed Kubernetes/containers [<sup>:link:</sup>](https://cloud.google.com/kubernetes-engine/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/kubernetes-engine/docs/)
* **GKE On-Prem :new:**: Run GKE clusters anywhere [<sup>:link:</sup>](https://cloud.google.com/gke-on-prem/)
* **Anthos :new:**: Enterprise hybrid/multi-cloud platform [<sup>:link:</sup>](https://cloud.google.com/anthos/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/anthos/docs/)
   
### Storage
  
* **Cloud Storage**: Object storage and serving [<sup>:link:</sup>](https://cloud.google.com/storage/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/storage/docs/)
* **Nearline**: Archival occasional access storage [<sup>:link:</sup>](https://cloud.google.com/storage/archival/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/storage/docs/)
* **Coldline**: Archival rare access storage [<sup>:link:</sup>](https://cloud.google.com/storage/archival/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/storage/docs/)
* **Persistent Disk**: VM-attached disks [<sup>:link:</sup>](https://cloud.google.com/persistent-disk/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/compute/docs/disks/)
* **Cloud Filestore**: Managed NFS server [<sup>:link:</sup>](https://cloud.google.com/filestore/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/filestore/docs/)
  
### Database 
  
* **Cloud Bigtable**: Petabyte-scale, low-latency, non-relational [<sup>:link:</sup>](https://cloud.google.com/bigtable/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/bigtable/docs/)
* **Cloud Datastore**: Horizontally scalable document DB [<sup>:link:</sup>](https://cloud.google.com/datastore/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/datastore/docs/)
* **Cloud Firestore**: Strongly-consistent serverless document DB [<sup>:link:</sup>](https://cloud.google.com/firestore/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/firestore/docs/)
* **Cloud Memorystore**: Managed Redis [<sup>:link:</sup>](https://cloud.google.com/memorystore/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/memorystore/docs/)
* **Cloud Spanner**: Horizontally scalable relational DB [<sup>:link:</sup>](https://cloud.google.com/spanner/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/spanner/docs/)
* **Cloud SQL**: Managed MySQL and PostgreSQL [<sup>:link:</sup>](https://cloud.google.com/sql/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/sql/docs/)
  
### Data and Analytics 
  
* **BigQuery**: Data warehouse/analytics [<sup>:link:</sup>](https://cloud.google.com/bigquery/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/bigquery/docs/)
* **BigQuery BI Engine :new:**: In-memory analytics engine [<sup>:page_facing_up:</sup>](https://cloud.google.com/bi-engine/docs/)
* **BigQuery ML :new:**: BigQuery model training/serving [<sup>:page_facing_up:</sup>](https://cloud.google.com/bigquery-ml/docs/)
* **Cloud Composer**: Managed workflow orchestration service [<sup>:link:</sup>](https://cloud.google.com/composer/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/composer/docs/)
* **Cloud Data Fusion :new:**: Graphically manage data pipelines [<sup>:link:</sup>](https://cloud.google.com/data-fusion/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/data-fusion/docs/)
* **Cloud Dataflow**: Stream/batch data processing [<sup>:link:</sup>](https://cloud.google.com/dataflow/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/dataflow/docs/)
* **Cloud Datalab**: Managed Jupyter notebook [<sup>:link:</sup>](https://cloud.google.com/datalab/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/datalab/docs/)
* **Cloud Dataprep**: Visual data wrangling [<sup>:link:</sup>](https://cloud.google.com/dataprep/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/dataprep/docs/)
* **Cloud Dataproc**: Managed Spark and Hadoop [<sup>:link:</sup>](https://cloud.google.com/dataproc/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/dataproc/docs/)
* **Cloud Pub/Sub**: Global real-time messaging [<sup>:link:</sup>](https://cloud.google.com/pubsub/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/pubsub/docs/)
* **Data Catalog :new:**: Metadata management service  [<sup>:link:</sup>](https://cloud.google.com/data-catalog/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/data-catalog/docs/)
* **Data Studio**: Collaborative data exploration/dashboarding [<sup>:link:</sup>](https://datastudio.google.com/overview) [<sup>:page_facing_up:</sup>](https://datastudio.google.com/overviewdocs/)
* **Genomics**: Managed genomics platform [<sup>:link:</sup>](https://cloud.google.com/genomics/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/genomics/docs/)
  
### AI/ML 

* **AI Hub :new:**: Hosted AI component sharing [<sup>:link:</sup>](https://cloud.google.com/ai-hub/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/ai-hub/docs/)
* **AI Platform**: Managed platform for ML [<sup>:link:</sup>](https://cloud.google.com/ai-platform/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/ml-engine/docs/)
* **AI Platform Data Labeling :new:**: Data labeling by humans [<sup>:page_facing_up:</sup>](https://cloud.google.com/data-labeling/docs/)
* **AI Platform Deep Learning VMs**: Preconfigured VMs for deep learning [<sup>:link:</sup>](https://cloud.google.com/deep-learning-vm/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/deep-learning-vm/docs/)
* **AI Platform Notebooks :new:**: Managed JupyterLab notebook instances [<sup>:link:</sup>](https://cloud.google.com/ai-platform-notebooks/)[<sup>:page_facing_up:</sup>](https://cloud.google.com/ml-engine/docs/notebooks/)
* **AI Platform Training :new:**: Parallel and distributed training [<sup>:page_facing_up:</sup>](https://cloud.google.com/ml-engine/docs/tensorflow/training-overview)
* **AI Platform Predictions :new:**: Autoscaled model serving [<sup>:page_facing_up:</sup>](https://cloud.google.com/ml-engine/docs/tensorflow/prediction-overview)
* **AutoML Natural Language**: Custom text models [<sup>:page_facing_up:</sup>](https://cloud.google.com/natural-language/automl/docs/)
* **AutoML Tables :new:**: Custom structured data models [<sup>:link:</sup>](https://cloud.google.com/automl-tables/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/automl-tables/docs/)
* **AutoML Translation**: Custom domain-specific translation [<sup>:link:</sup>](https://cloud.google.com/translate/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/translate/docs/)
* **AutoML Video Intelligence :new:**: Custom video annotation models [<sup>:link:</sup>](https://cloud.google.com/video-intelligence/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/video-intelligence/automl/docs/)
* **AutoML Vision**: Custom image models [<sup>:link:</sup>](https://cloud.google.com/automl/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/automl/docs/)
* **Cloud AI Building Blocks :new:**: Hosted AI component repository [<sup>:link:</sup>](https://cloud.google.com/ai-hub/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/ai-hub/docs/)
* **Cloud Natural Language API**: Text parsing and analysis [<sup>:link:</sup>](https://cloud.google.com/natural-language/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/natural-language/docs/)
* **Cloud Speech-To-Text API**: Convert audio to text [<sup>:link:</sup>](https://cloud.google.com/speech/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/speech/docs/)
* **Cloud Talent Solutions API**: Job search with ML [<sup>:link:</sup>](https://cloud.google.com/job-discovery/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/job-discovery/docs/)
* **Cloud Text-To-Speech API**: Convert text to audio [<sup>:link:</sup>](https://cloud.google.com/text-to-speech/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/text-to-speech/docs/)
* **Cloud Translation API**: Language detection and translation [<sup>:link:</sup>](https://cloud.google.com/translate/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/translate/docs/)
* **Cloud Video Intelligence API**: Scene-level video annotation [<sup>:link:</sup>](https://cloud.google.com/video-intelligence/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/video-intelligence/docs/)
* **Cloud Vision API**: Image recognition and classification [<sup>:link:</sup>](https://cloud.google.com/vision/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/vision/docs/)
* **Cloud TPU**: Hardware acceleration for ML [<sup>:link:</sup>](https://cloud.google.com/tpu/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/tpu/docs/)
* **Dialogflow Enterprise Edition**: Create conversational interfaces [<sup>:link:</sup>](https://cloud.google.com/dialogflow-enterprise/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/dialogflow-enterprise/docs/)
* **Document Understanding AI :new:**: Analyze, classify, search documents [<sup>:link:</sup>](https://cloud.google.com/solutions/document-understanding/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/document-understanding/docs/)
* **Recommendations AI :new:**: Create custom recommendations [<sup>:link:</sup>](https://cloud.google.com/recommendations/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/recommendations-ai/docs/)
* **Vision Product Search :new:**: Visual search for products [<sup>:page_facing_up:</sup>](https://cloud.google.com/vision/product-search/docs/)

### Networking 
  
* **Carrier Peering**: Peer through a carrier [<sup>:page_facing_up:</sup>](https://cloud.google.com/interconnect/docs/how-to/carrier-peering)
* **Direct Peering**: Peer with GCP [<sup>:page_facing_up:</sup>](https://cloud.google.com/interconnect/docs/how-to/direct-peering)
* **Dedicated Interconnect**: Dedicated private network connection [<sup>:page_facing_up:</sup>](https://cloud.google.com/interconnect/docs/details/dedicated)
* **Partner Interconnect**: Connect on-prem network to VPC [<sup>:page_facing_up:</sup>](https://cloud.google.com/interconnect/docs/concepts/partner-overview)
* **Cloud Armor**: DDoS protection and WAF [<sup>:link:</sup>](https://cloud.google.com/armor/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/armor/docs/)
* **Cloud CDN**: Content delivery network [<sup>:link:</sup>](https://cloud.google.com/cdn/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/cdn/docs/)
* **Cloud DNS**: Programmable DNS serving [<sup>:link:</sup>](https://cloud.google.com/dns/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/dns/docs/)
* **Cloud Load Balancing**: Multi-region load distribution [<sup>:link:</sup>](https://cloud.google.com/load-balancing/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/load-balancing/docs/)
* **Cloud NAT**: Network address translation service [<sup>:page_facing_up:</sup>](https://cloud.google.com/nat/docs/overview/)
* **IPsec VPN**: Virtual private network connection [<sup>:page_facing_up:</sup>](https://cloud.google.com/compute/docs/vpn/overview)
* **Network Service Tiers**: Price vs performance tiering [<sup>:link:</sup>](https://cloud.google.com/network-tiers/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/network-tiers/docs/)
* **Network Telemetry**: Network telemetry service [<sup>:link:</sup>](https://cloud.google.com/network-telemetry/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/vpc/docs/using-flow-logs/)
* **Traffic Director :new:**: Service mesh traffic management [<sup>:link:</sup>](https://cloud.google.com/traffic-director/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/traffic-director/docs/)
* **Google Cloud Service Mesh :new:**: Service-aware network management [<sup>:link:</sup>](https://cloud.google.com/service-mesh/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/trace/docs/)
* **Virtual Private Cloud**: Software defined networking [<sup>:link:</sup>](https://cloud.google.com/vpc/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/vpc/docs/)
  
### Internet of Things (IoT) 
  
* **Cloud IoT Core**: Device management and ingest data [<sup>:link:</sup>](https://cloud.google.com/iot-core/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/iot-core/docs/)
  
### Identity and Security
  
* **Access Transparency**: Audit cloud provider access [<sup>:link:</sup>](https://cloud.google.com/access-transparency/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/logging/docs/audit/access-transparency-overview/)
* **Binary Authorization**: Kubernetes deploy-time security [<sup>:link:</sup>](https://cloud.google.com/binary-authorization/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/binary-authorization/docs/)
* **Cloud Audit Logs :new:**: Audit trails for GCP [<sup>:link:</sup>](https://cloud.google.com/audit-logs/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/logging/docs/audit/)
* **Cloud Data Loss Prevention API**: Classify and redact sensitive data [<sup>:link:</sup>](https://cloud.google.com/dlp/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/dlp/docs/)
* **Cloud HSM**: Hardware security module service [<sup>:link:</sup>](https://cloud.google.com/hsm/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/kms/docs/hsm/)
* **Cloud IAM**: Resource access control [<sup>:link:</sup>](https://cloud.google.com/iam/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/iam/docs/)
* **Cloud Identity**: Manage users, devices & apps [<sup>:link:</sup>](https://cloud.google.com/identity/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/identity/solutions/overview/)
* **Cloud Identity-Aware Proxy**: Identity-based app sign in [<sup>:link:</sup>](https://cloud.google.com/iap/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/iap/docs/)
* **Cloud Key Management Service**: Hosted key management service [<sup>:link:</sup>](https://cloud.google.com/kms/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/kms/docs/)
* **Cloud Resource Manager**: Cloud project metadata management [<sup>:link:</sup>](https://cloud.google.com/resource-manager/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/resource-manager/docs/)
* **Cloud Security Scanner**: App engine security scanner [<sup>:link:</sup>](https://cloud.google.com/security-scanner/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/security-scanner/docs/)
* **Cloud Security Command Center**: Asset inventory, discovery, search, management [<sup>:link:</sup>](https://cloud.google.com/security-command-center/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/security-command-center/docs/)
* **Context-aware Access :new:**: End-user attribute-based access control [<sup>:link:</sup>](https://cloud.google.com/context-aware-access/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/iap/docs/cloud-iap-context-aware-access-howto/)
* **Event Threat Detection :new:**: Scans for suspicious activity [<sup>:link:</sup>](https://cloud.google.com/event-threat-detection/) 
* **Security Key Enforcement**: Two-step key verification [<sup>:link:</sup>](https://cloud.google.com/security-key/)
* **Shielded VMs**: Hardened VMs [<sup>:link:</sup>](https://cloud.google.com/shielded-vm/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/security/shielded-cloud/shielded-vm/)
* **Titan Security Key**: Two-factor authentication (2FA) device [<sup>:link:</sup>](https://cloud.google.com/titan-security-key/)
* **VPC Service Controls :new:**: VPC constrain data [<sup>:link:</sup>](https://cloud.google.com/vpc-service-controls/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/vpc-service-controls/docs/)
  
### Management Tools 
  
* **Cloud APIs**: APIs for cloud services [<sup>:link:</sup>](https://cloud.google.com/apis/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/apis/docs/)
* **Cloud Billing**: Billing and cost management tools [<sup>:link:</sup>](https://cloud.google.com/billing/docs/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/billing/docs/docs/)
* **Cloud Billing API**: Programmatically manage GCP billing [<sup>:page_facing_up:</sup>](https://cloud.google.com/billing/docs/)
* **Cloud Console**: Web-based management console [<sup>:link:</sup>](https://cloud.google.com/cloud-console/)
* **Cloud Deployment Manager**: Templated infrastructure deployment [<sup>:link:</sup>](https://cloud.google.com/deployment-manager/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/deployment-manager/docs/)
* **Cloud Mobile App**: iOS/Android GCP manager app [<sup>:link:</sup>](https://cloud.google.com/console-app/)
* **Cloud Shell**: Browser-based terminal/CLI [<sup>:link:</sup>](https://cloud.google.com/shell/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/shell/docs/)
* **Stackdriver Debugger**: Live production debugging [<sup>:link:</sup>](https://cloud.google.com/debugger/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/debugger/docs/)
* **Stackdriver Error Reporting**: App error reporting [<sup>:link:</sup>](https://cloud.google.com/error-reporting/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/error-reporting/docs/)
* **Stackdriver Logging**: Centralized logging [<sup>:link:</sup>](https://cloud.google.com/logging/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/logging/docs/)
* **Stackdriver Monitoring**: Infrastructure and application monitoring [<sup>:link:</sup>](https://cloud.google.com/monitoring/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/monitoring/docs/)
* **Stackdriver Profiler**: CPU and heap profiling [<sup>:link:</sup>](https://cloud.google.com/profiler/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/profiler/docs/)
* **Stackdriver Transparent SLIs**: Monitor GCP services [<sup>:link:</sup>](https://cloud.google.com/transparent-sli/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/apis/docs/monitoring/)
* **Stackdriver Trace**: App performance insights [<sup>:link:</sup>](https://cloud.google.com/trace/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/trace/docs/)  

### Developer Tools  
  
* **Cloud SDK**: CLI for GCP [<sup>:link:</sup>](https://cloud.google.com/sdk/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/sdk/docs/)
* **Cloud Build**: Continuous integration/delivery platform [<sup>:link:</sup>](https://cloud.google.com/cloud-build/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/cloud-build/docs/)
* **Cloud Code :new:**: Cloud native IDE extensions [<sup>:link:</sup>](https://cloud.google.com/code/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/code/docs/)
* **Cloud Source Repositories**: Hosted private git repos [<sup>:link:</sup>](https://cloud.google.com/source-repositories/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/source-repositories/docs/)
* **Cloud Scheduler**: Managed cron job service [<sup>:link:</sup>](https://cloud.google.com/scheduler/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/scheduler/docs/)
* **Cloud Tasks :new:**: Asynchronous task execution [<sup>:link:</sup>](https://cloud.google.com/tasks/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/tasks/docs/)
* **Cloud Tools for IntelliJ**: IntelliJ GCP tools [<sup>:link:</sup>](https://cloud.google.com/intellij/)
* **Cloud Tools for PowerShell**: PowerShell GCP tools [<sup>:link:</sup>](https://cloud.google.com/powershell/)
* **Cloud Tools for Visual Studio**: Visual Studio GCP tools [<sup>:link:</sup>](https://cloud.google.com/visual-studio/)
* **Cloud Tools for Eclipse**: Eclipse GCP tools [<sup>:link:</sup>](https://cloud.google.com/eclipse/docs/)
* **Container Registry**: Private container registry/storage [<sup>:link:</sup>](https://cloud.google.com/container-registry/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/container-registry/docs/)
* **Gradle App Engine Plugin**: Gradle App Engine plugin [<sup>:link:</sup>](https://github.com/GoogleCloudPlatform/app-gradle-plugin)
* **Maven App Engine Plugin**: Maven App Engine plugin [<sup>:link:</sup>](https://github.com/GoogleCloudPlatform/app-maven-plugin)
  
### Migration to GCP  
  
* **Cloud Data Transfer**: Data migration tools/CLI [<sup>:link:</sup>](https://cloud.google.com/products/data-transfer/)
* **Google Transfer Appliance**: Rentable data transport box [<sup>:link:</sup>](https://cloud.google.com/transfer-appliance/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/transfer-appliance/docs/)
* **Cloud Storage Transfer Service**: Cloud to cloud transfers [<sup>:page_facing_up:</sup>](https://cloud.google.com/storage/transfer/)
* **BigQuery Data Transfer Service**: Bulk import analytics data [<sup>:link:</sup>](https://cloud.google.com/bigquery/transfer/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/bigquery/transfer/docs/)
* **Migrate from Amazon Redshift :new:**: Migrate from Redshift to BigQuery [<sup>:link:</sup>](https://cloud.google.com/bigquery/docs/redshift-migration) 
* **Migrate from Teradata :new:**: Migrate from Teradata to BigQuery [<sup>:link:</sup>](https://cloud.google.com/solutions/migration/td2bq/td-bq-migration-overview) 
* **Migrate for Anthos :new:**: Migrate VMs to GKE containers [<sup>:link:</sup>](https://cloud.google.com/migrate/anthos/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/migrate/anthos/docs/getting-started)
* **Migrate for Compute Engine**: Compute Engine migration tools [<sup>:link:</sup>](https://cloud.google.com/migrate/compute-engine/) [<sup>:page_facing_up:</sup>](https://cloud.google.com/velostrata/docs/)
* **VM Migration**: VM migration tools [<sup>:link:</sup>](https://cloud.google.com/vm-migrate/) 

### API Platform and Ecosystems  
  
* **API Analytics**: API metrics [<sup>:link:</sup>](https://cloud.google.com/api-analytics/)
* **API Monetization**: Monetize APIs [<sup>:link:</sup>](https://cloud.google.com/api-monetization/)
* **Apigee API Platform**: Develop, secure, monitor APIs [<sup>:link:</sup>](https://cloud.google.com/apigee-api-management/)
* **Apigee Sense**: API protection from attacks [<sup>:link:</sup>](https://cloud.google.com/apigee-sense/)
* **Apigee Hybrid :new:**: Manage hybrid/multi-cloud API environments [<sup>:link:</sup>](https://cloud.google.com/apigee/api-management/hybrid/)[<sup>:page_facing_up:</sup>](https://docs.apigee.com/hybrid/beta2)
* **Cloud Endpoints**: Cloud API gateway [<sup>:link:</sup>](https://cloud.google.com/endpoints/)
* **Cloud Healthcare API**: Healthcare system GCP interoperability [<sup>:link:</sup>](https://cloud.google.com/healthcare-api/)
* **Developer Portal**: API management portal [<sup>:link:</sup>](https://cloud.google.com/developer-portal/)
* **GCP Marketplace**: Partner & open source marketplace [<sup>:link:</sup>](https://cloud.google.com/marketplace/)
  
### Google Maps Platform  
  
* **Directions API**: Get directions between locations [<sup>:link:</sup>](https://developers.google.com/maps/documentation/directions/)
* **Distance Matrix API**: Calculate travel times [<sup>:link:</sup>](https://developers.google.com/maps/documentation/distance-matrix/intro)
* **Geocoding API**: Convert address to/from coordinates [<sup>:link:</sup>](https://developers.google.com/maps/documentation/geocoding/)
* **Geolocation API**: Derive location without GPS [<sup>:link:</sup>](https://developers.google.com/maps/documentation/geolocation/)
* **Maps Embed API**: Web embedded maps [<sup>:link:</sup>](https://developers.google.com/maps/documentation/embed/)
* **Maps JavaScript API**: Dynamic web maps [<sup>:link:</sup>](https://developers.google.com/maps/documentation/javascript/)
* **Maps SDK for Android**: Maps SDK for Android [<sup>:link:</sup>](https://developers.google.com/maps/documentation/android-sdk/)
* **Maps SDK for iOS**: Maps SDK for iOS [<sup>:link:</sup>](https://developers.google.com/maps/documentation/ios-sdk/)
* **Maps Static API**: Web static maps [<sup>:link:</sup>](https://developers.google.com/maps/documentation/maps-static/)
* **Maps Unity SDK**: Unity SDK for games [<sup>:link:</sup>](https://cloud.google.com/maps-platform/gaming/)
* **Maps URLs**: URL scheme for maps [<sup>:link:</sup>](https://developers.google.com/maps/documentation/urls/)
* **Places API**: Metadata about places (REST) [<sup>:link:</sup>](https://developers.google.com/places/web-service/)
* **Places Library, Maps JS API**: Metadata about places (JavaScript) [<sup>:link:</sup>](https://developers.google.com/maps/documentation/javascript/places)
* **Places SDK for Android**: Places SDK for Android [<sup>:link:</sup>](https://developers.google.com/places/android-sdk/)
* **Places SDK for iOS**: Places SDK for iOS [<sup>:link:</sup>](https://developers.google.com/places/ios-sdk/)
* **Roads API**: Metadata about roads [<sup>:link:</sup>](https://developers.google.com/maps/documentation/roads/)
* **Street View Static API**: Static street view images [<sup>:link:</sup>](https://developers.google.com/maps/documentation/streetview/)
* **Street View Service**: Interactive street view images" [<sup>:link:</sup>](https://developers.google.com/maps/documentation/javascript/streetview/)
* **Time Zone API**: Convert coordinates to timezone [<sup>:link:</sup>](https://developers.google.com/maps/documentation/timezone/)
  
### G Suite Platform  
  
* **App Maker**: Assistive app building [<sup>:link:</sup>](https://developers.google.com/appmaker/)
* **Apps Script**: Extend and automate everything [<sup>:link:</sup>](https://developers.google.com/apps-script/)
* **Editor Add-ons**: Extend Docs, Sheets, Slides [<sup>:link:</sup>](https://developers.google.com/gsuite/add-ons/overview)
* **Gmail Add-ons**: Contextual apps in Gmail [<sup>:link:</sup>](https://developers.google.com/gmail/add-ons/)
* **Hangouts Chat Bots**: Conversational bots in chat [<sup>:link:</sup>](https://developers.google.com/hangouts/chat/)
* **Calendar API**: Create and manage calendars [<sup>:link:</sup>](https://developers.google.com/calendar/)
* **Classroom API**: Provision and manage classrooms [<sup>:link:</sup>](https://developers.google.com/classroom)
* **Docs API**: Create and edit documents [<sup>:link:</sup>](https://developers.google.com/docs/api/)
* **Drive API**: Read and write files [<sup>:link:</sup>](https://developers.google.com/drive/)
* **Gmail API**: Enhance Gmail [<sup>:link:</sup>](https://developers.google.com/gmail/)
* **Sheets API**: Read and write spreadsheets [<sup>:link:</sup>](https://developers.google.com/sheets/api/)
* **Slides API**: Create and edit presentations [<sup>:link:</sup>](https://developers.google.com/slides/)
* **Drive Picker**: Drive file selection widget [<sup>:link:</sup>](https://developers.google.com/picker/)
* **Cloud Search**: Unified search for enterprise [<sup>:link:</sup>](https://developers.google.com/cloud-search/docs/guides/)
* **Admin SDK**: Manage G Suite resources [<sup>:link:</sup>](https://developers.google.com/admin-sdk)
* **Email Markup**: Interactive email using schema.org [<sup>:link:</sup>](https://developers.google.com/gmail/markup/)
* **G Suite Marketplace**: Storefront for integrated applications [<sup>:link:</sup>](https://developers.google.com/gsuite/marketplace/)
* **Other G Suite APIs/SDKs**: Contacts, Google+, Tasks, Vault... [<sup>:link:</sup>](https://developers.google.com/gsuite/products)
  
### Mobile (Firebase)  
  
* **Cloud Firestore**: Document store and sync [<sup>:link:</sup>](https://firebase.google.com/products/firestore/)
* **Cloud Functions for Firebase**: Event-driven serverless applications [<sup>:link:</sup>](https://firebase.google.com/products/functions/)
* **Cloud Storage for Firebase**: Object storage and serving [<sup>:link:</sup>](https://firebase.google.com/products/storage/)
* **Crashlytics**: Crash reporting and analytics [<sup>:link:</sup>](https://fabric.io/kits/android/crashlytics/summary)
* **Firebase A/B Testing**: Create A/B test experiments [<sup>:link:</sup>](https://firebase.google.com/products/ab-testing/)
* **Firebase App Indexing**: App/Google search integration [<sup>:link:</sup>](https://firebase.google.com/products/app-indexing/)
* **Firebase Authentication**: Drop-in authentication [<sup>:link:</sup>](https://firebase.google.com/products/auth/)
* **Firebase Cloud Messaging**: Send device notifications [<sup>:link:</sup>](https://firebase.google.com/products/cloud-messaging/)
* **Firebase Dynamic Links**: Link to app content [<sup>:link:</sup>](https://firebase.google.com/products/dynamic-links/)
* **Firebase Hosting**: Web hosting with CDN/SSL [<sup>:link:</sup>](https://firebase.google.com/products/hosting/)
* **Firebase In-App Messaging**: Send  in-app contextual messages [<sup>:link:</sup>](https://firebase.google.com/products/in-app-messaging/)
* **Firebase Performance Monitoring**: App performance monitoring [<sup>:link:</sup>](https://firebase.google.com/products/performance/)
* **Firebase Predictions**: Predict user targeting [<sup>:link:</sup>](https://firebase.google.com/products/predictions/)
* **Firebase Realtime Database**: Real-time data synchronization [<sup>:link:</sup>](https://firebase.google.com/products/realtime-database/)
* **Firebase Remote Config**: Remotely configure installed apps [<sup>:link:</sup>](https://firebase.google.com/docs/remote-config/)
* **Firebase Test Lab**: Mobile testing device farm [<sup>:link:</sup>](https://firebase.google.com/docs/test-lab/)
* **Google Analytics for Firebase**: Mobile app analytics [<sup>:link:</sup>](https://firebase.google.com/products/analytics/)
* **ML Kit for Firebase**: ML APIs for mobile [<sup>:link:</sup>](https://firebase.google.com/products/ml-kit/)
  
### GCP Foundational Open Source Projects
  
* **Apache Beam**: Batch/streaming data processing [<sup>:link:</sup>](https://beam.apache.org/)
* **gRPC**: RPC framework [<sup>:link:</sup>](https://grpc.io/)
* **gVisor**: Secure container runtime [<sup>:link:</sup>](https://github.com/google/gvisor)
* **Istio**: Connect and secure services [<sup>:link:</sup>](https://istio.io/)
* **Knative**: Serverless framework for Kubernetes [<sup>:link:</sup>](https://github.com/knative)
* **Kubeflow**: ML toolkit for Kubernetes [<sup>:link:</sup>](https://www.kubeflow.org/)
* **Kubernetes**: Management of containerized applications [<sup>:link:</sup>](https://kubernetes.io/)
* **OpenCensus**: Cloud native observability framework [<sup>:link:</sup>](https://opencensus.io/)
* **TensorFlow**: ML framework [<sup>:link:</sup>](https://www.tensorflow.org/)

### Additional Resources

* **Google Cloud Home Page**: [<sup>:link:</sup>](https://cloud.google.com)
* **Google Cloud Blog**: [<sup>:link:</sup>](https://cloud.google.com/blog)
* **GCP Medium Publication**: [<sup>:link:</sup>](https://medium.com/google-cloud)
* **Apigee Blog**: [<sup>:link:</sup>](https://apigee.com/about/blog)
* **Firebase Blog**: [<sup>:link:</sup>](https://firebase.googleblog.com)
* **G Suite Developers Blog**: [<sup>:link:</sup>](https://gsuite-developers.googleblog.com)
* **Google Cloud Certifications**: [<sup>:link:</sup>](https://cloud.google.com/certification)
* **Google Cloud System Status**: [<sup>:link:</sup>](https://status.cloud.google.com)
* **Google Cloud Training**: [<sup>:link:</sup>](https://cloud.google.com/training)
* **Google Developers Blog**: [<sup>:link:</sup>](https://developers.googleblog.com) 
* **Google Maps Platform Blog**: [<sup>:link:</sup>](https://mapsplatform.googleblog.com)
* **Google Open Source Blog**: [<sup>:link:</sup>](https://opensource.googleblog.com)
* **Google Security Blog**: [<sup>:link:</sup>](https://security.googleblog.com)
* **Kaggle Home Page**: [<sup>:link:</sup>](https://www.kaggle.com) 
* **Kubernetes Blog**: [<sup>:link:</sup>](https://kubernetes.io/blog)
* **Regions and Network Map**: [<sup>:link:</sup>](https://cloud.google.com/about/locations)

----------------------------
### Everything below is not included in the PDFs/PNGs due to space limitations

----------------------------

### Additional Resources

* **Google Cloud Solutions Library**:[<sup>:link:</sup>](https://cloud.google.com/solutions/)
* **Google Cloud Support Hub**:[<sup>:link:</sup>](https://cloud.google.com/support-hub/)
* **GCP Pricing**: [<sup>:link:</sup>](https://cloud.google.com/pricing/)
* **GCP Pricing Calculator**: [<sup>:link:</sup>](https://cloud.google.com/products/calculator/)
* **Qwiklabs Home Page**:[<sup>:link:</sup>](https://www.qwiklabs.com/home?locale=en)
* **Codelabs Home Page**:[<sup>:link:</sup>](https://codelabs.developers.google.com/)
* **YouTube Channels**:
  * **Google Cloud YouTube Channel**:[<sup>:link:</sup>](https://www.youtube.com/channel/UCTMRxtyHoE3LPcrl-kT4AQQ)
  * **GCP YouTube Channel**:[<sup>:link:</sup>](https://www.youtube.com/user/googlecloudplatform)
  * **Google Developer's YouTube Channel**:[<sup>:link:</sup>](https://www.youtube.com/user/GoogleDevelopers)
  * **Firebase YouTube Channel**:[<sup>:link:</sup>](https://www.youtube.com/user/Firebase)
* **Podcasts**:
  * **GCP Podcast**:[<sup>:link:</sup>](https://gcppodcast.com/)
  * **Kubernetes Podcast**:[<sup>:link:</sup>](https://kubernetespodcast.com/)
* **Reddit**:
  * **/r/googlecloud**: [<sup>:link:</sup>](https://www.reddit.com/r/googlecloud/)
  * **/r/AppEngine**: [<sup>:link:</sup>](https://www.reddit.com/r/AppEngine/)
  * **/r/bigquery**: [<sup>:link:</sup>](https://www.reddit.com/r/bigquery/)
  * **/r/dataflow**: [<sup>:link:</sup>](https://www.reddit.com/r/dataflow/)
  * **/r/firebase**: [<sup>:link:</sup>](https://www.reddit.com/r/firebase/)

### Platform Comparisons

* **Google Cloud Platform for AWS Professionals**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/docs/compare/aws/)
* **Google Cloud Platform for Azure Professionals**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/docs/compare/azure/)
* **Google Cloud Platform for Data Center Professionals**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/docs/compare/data-centers/)
* **Google Cloud Platform for OpenStack Users**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/docs/compare/openstack/)

### Language Specific Documentation

* **Java**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/java/docs/)
* **Node.js**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/nodejs/docs/)
* **Python**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/python/docs/)
* **Go**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/go/docs/)
* **Ruby**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/ruby/docs/)
* **PHP**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/php/docs/)
* **.NET/C#**:[<sup>:page_facing_up:</sup>](https://cloud.google.com/dotnet/docs/)
